<?
  if (basename(__FILE__) == basename($PHP_SELF))
    die("Darf nur als include benutzt werden\n");
?>
<?

function show_vars()
{
  global $HTTP_COOKIE_VARS;
  global $HTTP_POST_VARS;
  global $HTTP_GET_VARS;
  global $HTTP_POST_FILES;

  reset($HTTP_POST_VARS);
  echo "Übergabeparameter:<br>";
  foreach($_POST as $k=>$elem)
  {
    echo "_Post: $k: $elem <br>";
  }
  echo "<br>";
    foreach($_GET as $k=>$elem)
  {
    echo "_Get: $k: $elem <br>";
  }
  echo "<br>";
  /* //Veraltete Global-Vars
  foreach($HTTP_POST_VARS as $k=>$elem)
  {
    echo "Post_Vars: $k: $elem <br>";
  }
  echo "<br>";
  reset($HTTP_POST_FILES);
  foreach($HTTP_POST_FILES as $k=>$elem)
  {
    echo "Post_Files: $k: $elem <br>";
  }
  echo "<br>";
  foreach($HTTP_GET_VARS as $k=>$elem)
  {
    echo "GET_Vars: $k: $elem <br>";
  }  */

}

function show_db_select($res)
{
  echo "<table border=0 cellpadding='2' cellspacing='2'>";
    echo "<tr bgcolor=#D0D0D0>";
    for ($i=0;$i<$anz;$i++)
    {
      echo "<th>";
      echo mysql_field_name($res,$i);
      echo "</th>";
    }
    echo "</tr>";
    echo "<tr>";
    while ($row  =  mysql_fetch_array($res,MYSQL_NUM))
    {
      foreach ($row as $elem)
      {
        echo "<td bgcolor='#E8E8E8'><font size='-1'>$elem</font></td>";
      }
    echo "</tr>";
    }
  echo "</table>";
}

function show_errors ($Number)
{
  echo "<H2>Fehler</H2>";
  if ($Number == 1) echo ("<LI>Session konnte nicht korrekt beendet werden.</LI>");
}
?>